---
title: '<xsl:processing-instruction>'
slug: Web/XSLT/Element/processing-instruction
tags:
  - Element
  - Reference
  - XSLT
  - processing-instruction
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:processing-instruction&gt;</code> element writes a processing instruction to the output document.</p>

<h3 id="Syntax">Syntax</h3>

<p><code>&lt;xsl:processing-instruction name=NAME&gt; TEMPLATE &lt;/xsl:processing-instruction&gt;</code></p>

<h3 id="Required_Attributes">Required Attributes</h3>

<dl>
 <dt><code>name</code></dt>
 <dd>Specifies the name of this processing instruction.</dd>
</dl>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<p>None.</p>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.3</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
